%define oname mathgl
Name: lib%oname
Version: 1.4
Release: alt1

Summary: Library of fast C++ routines for the plotting of the data

License: LGPL
Group: System/Libraries
Url: http://www.sf.net/projects/mathgl/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dl.sf.net/%oname/%oname-%version.tar.bz2
Patch: %name.patch

# Automatically added by buildreq on Sun Sep 16 2007
BuildRequires: gcc-c++ libglut-devel libgsl-devel libhdf5-devel libjpeg-devel libmesa-devel libpng-devel libtiff-devel

%description
MathGL is a free library of fast C++ routines for the plotting of the data
varied in one or more dimensions. It uses OpenGL (www.opengl.org)
for the plotting. Also there is a simple window interface based on
GLUT. This provides high compatibility with any operating system
(really any which has OpenGL-like libraries).

%package devel
Summary: Header files for %name
Group: Development/Other
Requires: %name = %version-%release

%description devel
Header files for %name library.

%prep
%setup -q -n %oname-%version
#patch

%build
%__autoreconf
%configure --enable-hdf5 --enable-tiff --enable-jpeg \
	--disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot

%post -p %post_ldconfig
%postun -p %post_ldconfig

%files
%_bindir/mgl2*
%doc AUTHORS README NEWS
%_libdir/libmgl.so.1.0.0
%_libdir/libmgl.so.1

%files devel
%doc examples
%_libdir/libmgl.so
%_includedir/*

%changelog
* Wed Oct 31 2007 Vitaly Lipatov <lav@altlinux.ru> 1.4-alt1
- new version 1.4 (with rpmrb script)
- soname changed

* Mon Oct 08 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version 1.2.2 (with rpmrb script)

* Sun Sep 16 2007 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- initial build for ALT Linux Sisyphus
